Church Service Insert

The Church Service Insert service allows you to add a new church service value to the system.

Service Name

church_service_insert

Required Parameters

NameType
namestring
order_byinteger

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=church_service_insert&name=New+Value&order_by=1"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
     <parameters>
        <argument value="church_service_insert" name="srv"/>
        <argument value="YrL7FcOKl37JFprC" name="name"/>
        <argument value="3" name="order_by"/>
     </parameters>
  </request>
  <response>
    <service>church_service_insert</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <church_services count="1">
      <church_service id="144">
        <name>YrL7FcOKl37JFprC</name>
        <order_by>3</order_by>
        <owner id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">0123456789</phone>
          </phones>
        </owner>
        <editable>1</editable>
        <listed>1</listed>
        <creator id="0">System User</creator>
        <modifier id="0">System User</modifier>
        <created>2014-01-28 10:25:29</created>
        <modified>2014-01-28 10:25:29</modified>
      </church_service>
    </church_services>
  </response>
</ccb_api>